%define peardir %{_libdir}/php
%define getoptver 1.2
%define archive_tar_ver 1.3.1

Summary: PHP Extension and Application Repository framework
Name: php-pear
Version: 1.4.10
Release: 2tr
License: PHP
Group: Trustix Official
URL: http://pear.php.net/package/PEAR
Source0: PEAR-%{version}.tgz
Source1: Console_Getopt-1.2.tgz
Source2: Archive_Tar-1.3.1.tgz 
Source3: DB-1.7.6.tgz
Source4: HTML_Template_IT-1.1.4.tgz
Source5: HTTP-1.4.0.tgz
Source6: Mail-1.1.10.tgz
Source7: Net_SMTP-1.2.8.tgz
Source8: Net_Socket-1.0.6.tgz
Source9: XML_Parser-1.2.7.tgz
Source10: XML_RPC-1.5.0.tgz
Source11: relocate.php
BuildRoot: /var/tmp/%{name}-root
BuildRequires: php
Requires: php >= 5.1.0

%description
PEAR is a framework and distribution system for reusable PHP
components. This package contains the basic PEAR components.

%prep

tar -zxf %{SOURCE0}
mv package.xml PEAR.xml

tar -zxf %{SOURCE1}
mv package.xml Console_Getopt.xml

tar -zxf %{SOURCE2}
mv package.xml Archive_Tar.xml

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/httpd
mkdir -p $RPM_BUILD_ROOT%{peardir}
install -d $RPM_BUILD_ROOT%{_localstatedir}/cache/pear 

install -m 644 PEAR-%{version}/scripts/*.php $RPM_BUILD_ROOT%{peardir}
cp -rf PEAR-%{version}/{OS,PEAR,scripts} $RPM_BUILD_ROOT%{peardir}/
install -m 644 PEAR-%{version}/{PEAR.php,System.php,package.dtd} \
	$RPM_BUILD_ROOT%{peardir}/
install -m 644 PEAR.xml $RPM_BUILD_ROOT%{peardir}/PEAR.xml


# Console_Getopt
install -d $RPM_BUILD_ROOT/usr/lib/php/Console
install Console_Getopt-%{getoptver}/Console/*.php \
				$RPM_BUILD_ROOT/usr/lib/php/Console
install -m0644 Console_Getopt.xml \
			$RPM_BUILD_ROOT/usr/lib/php/Console_Getopt.xml

# Archive Tar
install -d $RPM_BUILD_ROOT/usr/lib/php/Archive
install Archive_Tar-%{archive_tar_ver}/Archive/*.php $RPM_BUILD_ROOT/usr/lib/php/Archive
install -m0644 Archive_Tar.xml $RPM_BUILD_ROOT/usr/lib/php/Archive_Tar.xml


PEAR_CMD="%{_bindir}/php -C -q -d \
	include_path=$RPM_BUILD_ROOT/usr/lib/php/ \
	-d output_buffering=1 $RPM_BUILD_ROOT/usr/lib/php/pearcmd.php"


$PEAR_CMD -v -c $RPM_BUILD_ROOT/etc/httpd/pear.conf \
        -d php_dir=$RPM_BUILD_ROOT%{_libdir}/php \
        -d doc_dir=$RPM_BUILD_ROOT%{_libdir}/php/doc \
        -d bin_dir=$RPM_BUILD_ROOT%{_bindir} \
        -d data_dir=$RPM_BUILD_ROOT%{_libdir}/php/data \
        -d test_dir=$RPM_BUILD_ROOT%{_libdir}/php/tests \
        -s

$PEAR_CMD -c $RPM_BUILD_ROOT/etc/httpd/pear.conf  install --nodeps  \
        $RPM_SOURCE_DIR/PEAR-%{version}.tgz

for j in %SOURCE1 %SOURCE2 %SOURCE3 %SOURCE4 %SOURCE5 %SOURCE6 %SOURCE7 \
					%SOURCE8 %SOURCE9 %SOURCE10
do
	$PEAR_CMD -c $RPM_BUILD_ROOT/etc/httpd/pear.conf  install --nodeps $j
done
# Relocate everything:
sed -si "s,$RPM_BUILD_ROOT,,g" \
         $RPM_BUILD_ROOT%{peardir}/*.php \
         $RPM_BUILD_ROOT%{peardir}/*/*.php \
         $RPM_BUILD_ROOT%{peardir}/*/*/*.php \
	 $RPM_BUILD_ROOT%{_bindir}/* 


#%{_bindir}/php -n %{SOURCE11} $RPM_BUILD_ROOT/etc/httpd/pear.conf \
#                 $RPM_BUILD_ROOT > new-pear.conf
#install -m 644 new-pear.conf $RPM_BUILD_ROOT/etc/httpd/pear.conf

for f in $RPM_BUILD_ROOT%{peardir}/.registry/*.reg \
         $RPM_BUILD_ROOT/etc/httpd/pear.conf; do
   %{_bindir}/php -n %{SOURCE11} ${f} $RPM_BUILD_ROOT > ${f}.new
   mv ${f}.new ${f}
done

rm -f $RPM_BUILD_ROOT%{peardir}/.*lock

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{peardir}
%config(noreplace) %{_sysconfdir}/httpd/pear.conf
%dir /var/cache/pear

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Mon Aug 14 2006 Nived Gopalan <nived at trustix dot org> 1.4.10-1tr
- Initial spec. 

